Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class TimeZones

    java.lang.Object
      net.fortuna.ical4j.util.TimeZones

    public final class TimeZones

extends Object

Utility methods relevant to Java timezones.

Author:
  Ben Fortuna

Field Summary
`static String` | `GMT_ID`
`static String` | `IBM_UTC_ID`
`static String` | `UTC_ID`

Method Summary
`static boolean` | `isUtc(TimeZone timezone)` Indicates whether the specified timezone is equivalent to UTC time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTC_ID

    public static final String UTC_ID

See Also:
  Constant Field Values

### IBM_UTC_ID

    public static final String IBM_UTC_ID

See Also:
  Constant Field Values

### GMT_ID

    public static final String GMT_ID

See Also:
  Constant Field Values

Method Detail

### isUtc

    public static boolean isUtc(TimeZone timezone)

  Indicates whether the specified timezone is equivalent to UTC time.

  Parameters:
    `timezone` -
  Returns:
    true if the timezone is UTC time, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.